Skip to main content
POST
/
repos
/
{repo_id}
/
tags
Create a tag
curl --request POST \
  --url https://api.diversion.dev/v0/repos/{repo_id}/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "commit_id": "<string>",
  "description": "<string>"
}
'
{
  "id": "example_id"
}

Documentation Index

Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the implicit grant flow

Path Parameters

repo_id
string
required

The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.

Required string length: 3 - 128
Example:

"example_id"

Body

application/json
name
string
required

Display name of the tag

commit_id
string
required

Commit ID that the tag references

description
string

More information about the tag

Response

Resource created

id
string
required

The id of the newly created resource

Example:

"example_id"